/*  File: Author.c	  
	Copyright (c) 1999 Marco Bambini. All rights reserved.

	Description: simply returns the name of OpenWorld's author
*/

#include "OpenWorld_plugIn.h"
#include <CodeFragments.h>

Boolean main (dataPtr param)
{
	char name[]="Marco Bambini";
	
	switch (param->message)
	{	
		case init_message:
			{
				param->version=kVersion;
				param->customData=kUnused;
			}
			break;
			
		case run_message:
			{	
				// simply return my name
				param->outputText=&name[0];
				param->dim=strlen(name);
			}
			break;
		
		case stop_message:
			{
				// do nothing
			}
			break;
		
		case end_message:
			// do nothing
			break;
	}
	return kSingleTag;
}
